package com.izouma.awesomeadmin.dao;

import com.izouma.awesomeadmin.model.ChatInfo;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository("com.izouma.awesomeadmin.dao.ChatInfoMapper")
public interface ChatInfoMapper {

    int deleteByPrimaryKey(Integer id);


    int insert(ChatInfo record);


    int insertSelective(ChatInfo record);


    ChatInfo selectByPrimaryKey(Integer id);


    int updateByPrimaryKeySelective(ChatInfo record);


    int updateByPrimaryKey(ChatInfo record);


    List<ChatInfo> queryAllChatInfo();


    List<ChatInfo> queryChatInfosByPage(Map<String, Object> parameter);


    int delete(String id);


    ChatInfo queryChatInfo(ChatInfo chatInfo);

    int readAll(ChatInfo chatInfo);
    
    ChatInfo queryLastChatInfo(ChatInfo chatInfo);
}